hack4glarus-2018-winter - Task #6164

Document HardenedBSD update builds
11/30/2018 07:04 PM - Johannes Meixner

Status: Closed

Priority: Normal
Assignee: Johannes Meixner
Category:

Target version:
PM Check date:

Start date:
Due date:
% Done:

Estimated time:

11/30/2018
12/02/2018
100%

42.00 hours

Description

HardenedBSD comes with its own updating system, hbsd-update-build. There are sophisticated publishing scripts available on
GitHub for automagically building and publishing HardenedBSD builds that can be installed using hbsd-update and verified using

DNSSEC.

My goal of this hackathon is to give those updating scripts much-needed TLC and produce a howto that allows developers to build
their own HBSD builds and config files for distributing them using hbsd-update.

Deliverables:
- pull requests to hbsd-update-build if necessary
- pull requests to update-publisher if necessary

- How To documentation on https://xmij.github.io/articles/sysadmin/

History

#1 - 12/02/2018 01:19 PM - Johannes Meixner
- Status changed from New to Resolved

- % Done changed from 0 to 100

Pull requests:

https://github.com/HardenedBSD/hardenedBSD/pull/363

https:/github.com/HardenedBSD/update-publisher/pull/1/files

https://github.com/bartekrutkowski/iocell/pull/38/

Documentation:

https://github.com/xmj/xmj.github.io/blob/automated_builds/articles/sysadmin/automating_hbsd-update-builds.md

#2 - 12/30/2018 12:13 AM - Nico Schottelius

- Status changed from Resolved to Closed
